Bug 1477713 - [RFE] Support "direct" deploy method in the undercloud
[RFE] Support "direct" deploy method in the undercloud
Status: ON_DEV
Product: Red Hat OpenStack
Classification: Red Hat
Component: instack-undercloud (Show other bugs)
13.0 (Queens)
Unspecified Unspecified
medium Severity unspecified
: Upstream M1
: 14.0 (Rocky)
Assigned To: Dmitry Tantsur
: FutureFeature, Triaged
Depends On: 1472360
  Show dependency treegraph
Reported: 2017-08-02 12:54 EDT by Dmitry Tantsur
Modified: 2018-03-01 22:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 527376 None None None 2017-12-20 07:51 EST

  None (edit)
Description Dmitry Tantsur 2017-08-02 12:54:59 EDT
By default, Ironic deploys images to iSCSI shares exposed by IPA. We also support a different deploy method, when IPA fetches an image from a Swift temporary URL. Such approach should allow us scale better, especially in the undercloud, where 1. we have only one conductor, 2. we have Swift already, 3. we already use temporary URLs.

This may need configuring Swift temporary URLs and configuring Ironic to use them. Then we need to document both supported deploy method. Finally, we should consider switching to deploy_interface=direct by default, leaving "iscsi" as an option.
Comment 8 Dmitry Tantsur 2017-12-20 07:51:09 EST
This work was mostly done as part of the ansible deploy work. Needs support for containerized undercloud still.

Note You need to log in before you can comment on or make changes to this bug.